import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_BASE_API
// 查询电子图纸操作记录列表
export function listRecords(query) {
  return request({
    url: baseUrl +'/business/records/list',
    method: 'get',
    params: query
  })
}

// 查询电子图纸操作记录详细
export function getRecords(id) {
  return request({
    url: baseUrl +'/business/records/' + id,
    method: 'get'
  })
}

// 新增电子图纸操作记录
export function addRecords(data) {
  return request({
    url: baseUrl +'/business/records',
    method: 'post',
    data: data
  })
}

// 修改电子图纸操作记录
export function updateRecords(data) {
  return request({
    url: baseUrl +'/business/records',
    method: 'put',
    data: data
  })
}

// 删除电子图纸操作记录
export function delRecords(id) {
  return request({
    url: baseUrl +'/business/records/' + id,
    method: 'delete'
  })
}
